WatchpointRequest (Java Debug Interface)

Overview | Package | Class | Use | Tree | Index | Help

Java Debug Interface

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.request
Interface WatchpointRequest

All Superinterfaces:
  EventRequest, Mirror

All Known Subinterfaces:
  AccessWatchpointRequest, ModificationWatchpointRequest

public interface WatchpointRequest
extends EventRequest

Identifies a `Field` in the target VM being watched.

Since:
  1.3
See Also:
  `AccessWatchpointRequest`, `ModificationWatchpointRequest`, `EventQueue`, `EventRequestManager`

Field Summary

Fields inherited from interface com.sun.jdi.request.EventRequest
`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Method Summary
`void` | `addClassExclusionFilter(String classPattern)` Restricts the events generated by this request to those whose location is in a class whose name does not match this restricted regular expression.
`void` | `addClassFilter(ReferenceType refType)` Restricts the events generated by this request to those whose location is in the given reference type or any of its subtypes.
`void` | `addClassFilter(String classPattern)` Restricts the events generated by this request to those whose location is in a class whose name matches a restricted regular expression.
`void` | `addInstanceFilter(ObjectReference instance)` Restricts the events generated by this request to those in which the currently executing instance ("this") is the object specified.
`void` | `addThreadFilter(ThreadReference thread)` Restricts the events generated by this request to those in the given thread.
`Field` | `field()` Gets the Field being watched by this WatchpointRequest.

Methods inherited from interface com.sun.jdi.request.EventRequest
`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### field

    public Field field()

  Gets the Field being watched by this WatchpointRequest.

  Returns:
    the `Field` this Watchpoint is monitoring.

### addThreadFilter

    public void addThreadFilter(ThreadReference thread)

  Restricts the events generated by this request to those in the given thread.

  Parameters:
    `thread` - the thread to filter on.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.

### addClassFilter

    public void addClassFilter(ReferenceType refType)

  Restricts the events generated by this request to those whose location is in the given reference type or any of its subtypes. An event will be generated for any location in a reference type that can be safely cast to the given reference type.

  Parameters:
    `refType` - the reference type to filter on.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.

### addClassFilter

    public void addClassFilter(String classPattern)

  Restricts the events generated by this request to those whose location is in a class whose name matches a restricted regular expression. Regular expressions are limited to exact matches and patterns that begin with '*' or end with '*'; for example, "*.Foo" or "java.*".

  Parameters:
    `classPattern` - the pattern String to filter for.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.

### addClassExclusionFilter

    public void addClassExclusionFilter(String classPattern)

  Restricts the events generated by this request to those whose location is in a class whose name does not match this restricted regular expression. Regular expressions are limited to exact matches and patterns that begin with '*' or end with '*'; for example, "*.Foo" or "java.*".

  Parameters:
    `classPattern` - the pattern String to filter against.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.

### addInstanceFilter

    public void addInstanceFilter(ObjectReference instance)

  Restricts the events generated by this request to those in which the currently executing instance ("this") is the object specified.

  Not all targets support this operation. Use `VirtualMachine.canUseInstanceFilters()` to determine if the operation is supported.

  Parameters:
    `instance` - the object which must be the current instance in order to pass this filter.
  Throws:
    `UnsupportedOperationException` - if the target virtual machine does not support this operation.
    `InvalidRequestStateException` - if this request is currently enabled or has been deleted. Filters may be added only to disabled requests.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Index | Help

Java Debug Interface

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD